Index: sasmodels/conversion_table.py
===================================================================
--- sasmodels/conversion_table.py	(revision d3e3f756c37280a388d39555db40367e494d7182)
+++ sasmodels/conversion_table.py	(revision d3e3f756c37280a388d39555db40367e494d7182)
@@ -5,9 +5,28 @@
 names for each parameter in sasmodels.  This is used by :mod:`convert` to
 determine the equivalent parameter set when comparing a sasmodels model to
-the models defined in SasView 3.1.
+the models defined in previous versions of SasView and sasmodels. This is now
+versioned based on the version number of SasView.
+
+When any sasmodels parameter or model name is changed, this must be modified to
+account for that.
+
+Usage:
+<old_Sasview_version> : {
+    <new_model_name> : [
+        <old_model_name> ,
+        {
+            <new_param_name_1> : <old_param_name_1>,
+            ...
+            <new_param_name_n> : <old_param_name_n>
+        }
+    ]
+}
+
+Any future parameter and model name changes can and should be given in this
+table for future compatibility.
 """
 
-
 CONVERSION_TABLE = {
+    (3,1,2) : {
     "adsorbed_layer": [
         "Core2ndMomentModel",
@@ -211,5 +230,5 @@
     ],
     "correlation_length": [
-        "CorrLengthModel",
+        "CorrLength",
         {
             "porod_scale": "scale_p",
@@ -218,5 +237,6 @@
             "lorentz_exp": "exponent_l",
             "cor_length": "length_l"
-        }
+        },
+        "CorrLengthModel"
     ],
     "cylinder": [
@@ -299,5 +319,5 @@
     ],
     "fractal_core_shell": [
-        "FractalCoreShellModel",
+        "FractalCoreShell",
         {
             "sld_core": "core_sld",
@@ -309,5 +329,6 @@
             "cor_length": "cor_length",
             "volfraction": "volfraction",
-        }
+        },
+        "FractalCoreShellModel"
     ],
     "fuzzy_sphere": [
@@ -321,5 +342,5 @@
     ],
     "gauss_lorentz_gel": [
-        "GaussLorentzGelModel",
+        "GaussLorentzGel",
         {
             "gauss_scale": "scale_g",
@@ -328,12 +349,14 @@
             "background": "background",
             "lorentz_scale": "scale_l"
-        }
+        },
+        "GaussLorentzGelModel"
     ],
     "gaussian_peak": [
-        "PeakGaussModel",
+        "Peak Gauss Model",
         {
             "peak_pos": "q0",
             "sigma": "B",
-        }
+        },
+        "PeakGaussModel",
     ],
     "gel_fit": [
@@ -343,16 +366,17 @@
             "lorentz_scale": "lScale",
             "guinier_scale": "gScale",
-            "fractal_dim": "scale",
+            "fractal_dim": "FractalExp",
             "cor_length": "zeta",
         }
     ],
     "guinier": [
+        "Guinier",
+        {
+            "rg": "rg"
+        },
         "GuinierModel",
-        {
-            "rg": "rg"
-        }
     ],
     "guinier_porod": [
-        "GuinierPorodModel",
+        "GuinierPorod",
         {
             "s": "dim",
@@ -361,5 +385,6 @@
             "scale": "scale",
             "background": "background"
-        }
+        },
+        "GuinierPorodModel",
     ],
     "hardsphere": [
@@ -454,5 +479,5 @@
             "d_spacing": "spacing",
             "Caille_parameter": "caille",
-            "Nlayers": "N_plates",
+            "Nlayers": "n_plates",
         }
     ],
@@ -486,8 +511,9 @@
     ],
     "lorentz": [
+        "Lorentz",
+        {
+            "cor_length": "length"
+        },
         "LorentzModel",
-        {
-            "cor_length": "length"
-        }
     ],
     "mass_fractal": [
@@ -510,10 +536,11 @@
     ],
     "mono_gauss_coil": [
-        "DebyeModel",
+        "Debye",
         {
             "rg": "rg",
             "i_zero": "scale",
             "background": "background",
-        }
+        },
+        "DebyeModel",
     ],
     "multilayer_vesicle": [
@@ -564,9 +591,10 @@
     ],
     "peak_lorentz": [
-        "PeakLorentzModel",
+        "Peak Lorentz Model",
         {
             "peak_pos": "q0",
             "peak_hwhm": "B"
-        }
+        },
+        "PeakLorentzModel",
     ],
     "pearl_necklace": [
@@ -802,5 +830,5 @@
     ],
     "two_lorentzian": [
-        "TwoLorentzianModel",
+        "TwoLorentzian",
         {
             "lorentz_scale_1": "scale_1",
@@ -811,8 +839,9 @@
             "lorentz_length_1": "length_1",
             "background": "background"
-        }
+        },
+        "TwoLorentzianModel",
     ],
     "two_power_law": [
-        "TwoPowerLawModel",
+        "TwoPowerLaw",
         {
             "coefficent_1": "coef_A",
@@ -821,10 +850,20 @@
             "background": "background",
             "crossover": "qc"
-        }
+        },
+        "TwoPowerLawModel",
     ],
     "unified_power_Rg": [
+        "UnifiedPowerRg",
+        dict(((field_new+str(index), field_old+str(index))
+              for field_new, field_old in [("rg", "Rg"),
+                                           ("power", "power"),
+                                           ("G", "G"),
+                                           ("B", "B"),]
+              for index in range(11)),
+             **{
+                   "background": "background",
+                   "scale": "scale",
+               }),
         "UnifiedPowerRgModel",
-        {
-        }
     ],
     "vesicle": [
@@ -835,3 +874,4 @@
         }
     ]
+    }
 }
